Loading...

Delete Path

Description

This API allows you to delete an entire path and every object stored in that path in a bucket. The Bucket is referred by its unique bucket name.

Request Details

Request URL

DELETE

{api-domain}/baas/v1/project/{project_id}/bucket/object/prefix

copy

project_id
Numerical
The unique ID of the project

Query Parameters

bucket_name Alphanumeric
mandatory
prefix String
mandatory
Will contain the prefix of the path that needs to be deleted.

Request Headers

Authorization: Zoho-oauthtoken {oauth_token}

Optional Headers

CATALYST-ORG: {org_id}

Environment: Development

Scope

ZohoCatalyst.buckets.objects.DELETE

Response Details

On successful execution, the response will contain the success message confirming the delete operation was successful.

Sample Request
copy

curl -X DELETE https://api.catalyst.zoho.com/baas/v1/project/10108000003823392/bucket/object/prefix?bucket_name=zylker-bucket&prefix=myfolder/ -H “Authorization: Zoho-oauthtoken 1000.910*************************16.2f*************************57”

Sample Response
copy
{
"status": "success",
"data": {
    "prefix": "myfolder/",
    "message": "Deletion successful"
}
}
View more